#
#
# AdvNVRAMDisk -- LINUX device driver Makefile
#
# Copyright (c) 2013 advantech
#

CTAGS =	ctags --c-types=dtvf
CTAGS =	elvtags -tsevl
ADVMOD := advnvram
CAN_MAJOR  :=  $(shell awk '$$2=="advnvram" {print $$1}' /proc/devices)

ifneq ($(KERNELRELEASE),)
obj-m := advnvram.o
advnvram-objs	:= advnvram_init.o	\
	    advnvram_fops.o		\
	    advnvram_request.o	\
	    advnvram_pci.o		
else
	KDIR := /lib/modules/$(shell uname -r)/build/
	PWD  := $(shell pwd)
all:
	@echo "This driver Support Advantech NVRAMDisk"
	$(MAKE) -w -C $(KDIR) SUBDIRS=$(PWD) modules
endif


install:
	$(shell if grep $(ADVMOD) /proc/mounts > /dev/null ; then \
	umount /mnt/$(ADVMOD) ; fi)
	$(shell if grep $(ADVMOD) /proc/modules > /dev/null ; then \
	rmmod $(ADVMOD) ; fi)
	$(shell [ -b /dev/$(ADVMOD) ] && rm -f /dev/$(ADVMOD))	
	@insmod $(ADVMOD).ko


# unload the driver module
uninstall:
	@echo "Removing Driver Module from Kernel"
	$(shell if grep advnvram /proc/modules > /dev/null ; then \
	 rmmod advnvram; fi)

clean:
	-@rm -f tags
	-@rm -f *.o *.ko
	-@rm -f .*.cmd *.mod.c
	-@rm -rf .tmp_versions
	-@rm -rf *~
	-@rm -rf *odule*






